#!/bin/sh
PATH=$PATH:/mmc/mmca1/.system/mod/scripts/show/

create_backup () {
	if [ ! -d /mmc/mmca1/.system/backup ] 
	then
		mkdir /mmc/mmca1/.system/backup
	fi

	showNotify "Создание бэкапа" "Создание бэкапа" 1 2

	if [ ! -d /mmc/mmca1/.system/backup/sysDatabase/ ]
	then
		mkdir /mmc/mmca1/.system/backup/sysDatabase/
	fi
	cp /ezxlocal/sysDatabase/main.db /mmc/mmca1/.system/backup/sysDatabase/


	if [ ! -d /mmc/mmca1/.system/backup/email/ ]
	then
		mkdir /mmc/mmca1/.system/backup/email/
	fi
	cp /ezxlocal/download/appwrite/email/account.cfg /mmc/mmca1/.system/backup/email/


	if [ -d /mmc/mmca1/.system/backup/NetProfile/ ]
	then
		mkdir /mmc/mmca1/.system/backup/NetProfile/
	fi

	cp -rf /ezxlocal/download/appwrite/NetProfile/	/mmc/mmca1/.system/backup/


	if [ -d  /mmc/mmca1/.system/backup/bluetooth/ ]
	then
		mkdir /mmc/mmca1/.system/backup/bluetooth/
	fi
	cp -rf /ezxlocal/download/appwrite/bluetooth/	/mmc/mmca1/.system/backup/


	if [ -d /mmc/mmca1/.system/backup/setup/ ]
	then
		mkdir /mmc/mmca1/.system/backup/setup/
	fi

	cp /ezxlocal/download/appwrite/setup/ezx_idle.cfg		/mmc/mmca1/.system/backup/setup/
	cp /ezxlocal/download/appwrite/setup/ezx_alert.cfg		/mmc/mmca1/.system/backup/setup/
	cp /ezxlocal/download/appwrite/setup/ezx_alertprofile.cfg	/mmc/mmca1/.system/backup/setup/
	cp /ezxlocal/download/appwrite/setup/ezx_bluetooth.cfg		/mmc/mmca1/.system/backup/setup/
	cp /ezxlocal/download/appwrite/setup/ezx_connection.cfg	 	/mmc/mmca1/.system/backup/setup/
	cp /ezxlocal/download/appwrite/setup/ezx_call.cfg		/mmc/mmca1/.system/backup/setup/
	cp /ezxlocal/download/appwrite/setup/ezx_system.cfg		/mmc/mmca1/.system/backup/setup/
	cp -rf /ezxlocal/download/appwrite/setup/theme/		/mmc/mmca1/.system/backup/setup/

	showNotify "Создание бэкапа" "Бэкап создан!" 1 2
}


restore_backup () {
if [ -d /mmc/mmca1/.system/backup/ ]
then
	showNotify "Восстановление бэкапа" "Восстановление бэкапа...
ждите!" 1 1


	cp /mmc/mmca1/.system/backup/sysDatabase/main.db	/ezxlocal/sysDatabase/
	chmod 777 /ezxlocal/sysDatabase/main.db


	cp /mmc/mmca1/.system/backup/email/account.cfg	/ezxlocal/download/appwrite/email/
	chmod 777 /ezxlocal/download/appwrite/email/account.cfg


	if [ -d /mmc/mmca1/.system/backup/NetProfile/ ]
	then
		rm -rf /ezxlocal/download/appwrite/NetProfile/
		mkdir /ezxlocal/download/appwrite/NetProfile/
		cp -rf /mmc/mmca1/.system/backup/NetProfile/	/ezxlocal/download/appwrite/
		chmod -R 777 /ezxlocal/download/appwrite/NetProfile/
	fi


	cp -rf /mmc/mmca1/.system/backup/bluetooth/	/ezxlocal/download/appwrite/
	chmod -R 777 /ezxlocal/download/appwrite/bluetooth/


	cp /mmc/mmca1/.system/backup/setup/ezx_idle.cfg		/ezxlocal/download/appwrite/setup/
	chmod 777 /ezxlocal/download/appwrite/setup/ezx_idle.cfg
	cp /mmc/mmca1/.system/backup/setup/ezx_alert.cfg		/ezxlocal/download/appwrite/setup/
	chmod 777 /ezxlocal/download/appwrite/setup/ezx_alert.cfg
	cp /mmc/mmca1/.system/backup/setup/ezx_alertprofile.cfg	/ezxlocal/download/appwrite/setup/
	chmod 777 /ezxlocal/download/appwrite/setup/ezx_alertprofile.cfg
	cp /mmc/mmca1/.system/backup/setup/ezx_bluetooth.cfg		/ezxlocal/download/appwrite/setup/
	chmod 777 /ezxlocal/download/appwrite/setup/ezx_bluetooth.cfg	
	cp /mmc/mmca1/.system/backup/setup/ezx_connection.cfg	/ezxlocal/download/appwrite/setup/ 
	chmod 777 /ezxlocal/download/appwrite/setup/ezx_connection.cfg
	cp /mmc/mmca1/.system/backup/setup/ezx_call.cfg		/ezxlocal/download/appwrite/setup/
	chmod 777 /ezxlocal/download/appwrite/setup/ezx_call.cfg		
	cp /mmc/mmca1/.system/backup/setup/ezx_system.cfg	/ezxlocal/download/appwrite/setup/
	chmod 777 /ezxlocal/download/appwrite/setup/ezx_system.cfg	

	cp -rf /mmc/mmca1/.system/backup/setup/theme/		/ezxlocal/download/appwrite/setup/
	chmod -R 777 /ezxlocal/download/appwrite/setup/theme/
	
	sleep 2
	showMsg "Восстановление бэкапа" "Необходима перезагрузка.
Перезагрузить сейчас?" 1
	if [ $? != 0 ]
	then
		showNotify "Восстановление бэкапа" "Перезагружаю. Ждите..." 1 2
		/sbin/reboot
	fi
else
	showNotify "Восстановление бэкапа" "Бэкап не найден!" 1 2
fi
}


delete_backup () {
if [ -d /mmc/mmca1/.system/backup ]
then
	rm -rf /mmc/mmca1/.system/backup/
	showNotify "Удаление бэкапа" "Бэкап удален" 1 2
else
	showNotify "Удаление бэкапа" "Бэкап не найден!" 1 2
fi
}


showRadio "Инструменты бэкапа" "Выберите операцию:" "Создать" "Восстановить" "Удалить"
RADIORES=$?
case "$RADIORES" in
	"1")
		create_backup
		;;
	"2")
		restore_backup
		;;
	"3")
		delete_backup
		;;
esac
